## Description

Brief description of the changes in this PR.

## Type of Change

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Performance improvement
- [ ] Code refactoring

## Testing

- [ ] Tests pass locally
- [ ] Added tests for new functionality
- [ ] Benchmarks run successfully
- [ ] Tested on network filesystem (if applicable)

## Checklist

- [ ] My code follows the project's style guidelines
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] Any dependent changes have been merged and published

## Performance Impact

If this change affects performance, please describe:
- [ ] Performance benchmarks included
- [ ] No significant performance impact
- [ ] Performance improvement (describe)
- [ ] Performance regression (justify)

## Breaking Changes

If this is a breaking change, please describe:
- What functionality is affected
- How users should migrate their code
- Why this breaking change is necessary

## Additional Notes

Any additional information that reviewers should know.
